#if !defined(AFX_CAMINFOTABDLG_H__DB172FDF_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_)
#define AFX_CAMINFOTABDLG_H__DB172FDF_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CamInfoTabDlg.h : header file
//

#include"CamInfoPage.h"
#define MAXTABS 256
/////////////////////////////////////////////////////////////////////////////
// CCamInfoTabDlg

class CCamInfoTabDlg : public CPropertySheet
{
protected:
	CCamInfoPage		*Tab[MAXTABS];
	int NumTabs;
	
	DECLARE_DYNAMIC(CCamInfoTabDlg)
		
		
		// Construction
public:
	CCamInfoTabDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CCamInfoTabDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	BOOL Create( CWnd* pParentWnd = NULL, DWORD dwStyle = -1, DWORD dwExStyle = 0 );
	
	void AddPage( CCamInfoPage *pPage );
	void SetCameraInfo(CameraInfo *CIn);
	void Refresh();
	// Attributes
public:
	
	// Operations
public:
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCamInfoTabDlg)
	//}}AFX_VIRTUAL
	
	// Implementation
public:
	virtual ~CCamInfoTabDlg();
	
	// Generated message map functions
protected:
	//{{AFX_MSG(CCamInfoTabDlg)
	afx_msg void OnClose();
	//}}AFX_MSG
	
	
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAMINFOTABDLG_H__DB172FDF_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_)
